DNETC(1)

NAME
dnetc - distributed.net distributed computing client for Linux

SYNOPSIS
dnetc [-config] [-flush] [-fetch] [-update] [-benchmark [prj]] [-benchmark2 [prj]] [-bench [prj [cn]]] [-test [prj [cn]]] [-stress [prj [cn]]] [-cpuinfo] [-restart] [-shutdown] [-pause] [-unpause] [-install [...]] [-uninstall] [-import <filename>] [-forceunlock <fn>] [-help] [-version] [-ini <filename>] [-e <address>] [-nodisk] [-n <count>] [-runbuffers] [-frequent] [-inbase <fname>] [-outbase <fname>] [-ckpoint <fname>] [-bin <prj> <n>] [-btime [prj] <n>] [-runoffline] [-runonline] [-nettimeout <secs>] [-a <address>] [-p <port>] [-nofallback] [-u <method>] [-ha <address>] [-hp <port>] [-lurk] [-lurkonly] [-interfaces <list>] [-c [prj] <n>] [-numcpu <n>] [-devicenum <n>] [-priority <0-9>] [-l <filename>] [-smtplen <len>] [-smtpsrvr <host>] [-smtpport <port>] [-smtpfrom <id>] [-smtpdest <id>] [-h <hours[:min]>] [-until <HH:MM>] [-noexitfilecheck] [-pausefile <fn>] [-exitfile <fn>] [-multiok[=|:][0|1]] [-percentoff] [-quiet/-hide] [-noquiet]

DESCRIPTION
dnetc is a distributed computing client that coordinates with servers operated by distributed.net to cooperate with other network-connected computers to work on a common task. It communicates over public networks and processes work assigned by the distributed.net keyservers. It is designed to run in idle time so as to not impact the normal operation of the computer.

INSTALLATION
Since you are already reading this, I assume you know how to unpack an archive into a directory of your choice. :)

Now, simply fire up the client...

If you have never run the client before, it will initiate the menu-driven configuration. Save and quit when done, the configuration file will be saved in the same directory as the client. Now, simply restart the client. From that point on it will use the saved configuration.

The configuration options are fairly self-explanatory and can be run at any time by starting the client with the '-config' option. A list of command line options is listed below.

OPTIONS
In addition to the conventional command line passed to the client from a shell, options may also be passed to the client using either or both of the following methods:

- using the dnetc_opt= environment variable.

If set, this is parsed before the normal command line.

- using the /etc/distributed-net.conf

command files. If found, these are parsed after the normal

command line.

"Mode commands" (see below) cannot be executed using these methods, and there is no run-time display of modified settings (unless the settings are also modified using the conventional command line, in which case the last effective change is displayed).

  Mode commands: (the client will execute the option and then exit)

-config
    start the configuration menu

-flush
    flush all output buffers

-fetch
    fill all input buffers

-update
    fetch + flush

-benchmark [prj]
    16-20 sec speed check [optional: only project prj]

-benchmark2 [prj]
    half (8-10 sec) and slightly inaccurate -benchmark

-bench [prj [cn]
    -benchmark all cores [optional: only project prj]

    [optional: only core cn, must be used with prj]

-test [prj [cn]
    tests for core errors [optional: only project prj]

    [optional: only core cn, must be used with prj]

-stress [prj [cn]
    more thorough and longer running variant of -test

-cpuinfo
    print information about the detected cpu(s)

-restart
    restart all active clients

-shutdown
    gracefully shut down all active clients

-pause
    pause all active clients

-unpause
    unpause all active clients

-install [...]
    install the client in /etc[/rc.d]/init.d/

    all [...options...] that follow '-install' serve

    as parameters for the installed client.

-uninstall
    remove the client from /etc[/rc.d]/init.d/

-import <filename>
    import packets from file <filename> into client buffers

-forceunlock <fn>
    unlock buffer file <fn>

-help
    display this text

-version
    print version information

  Project and buffer related options:

-ini <filename>
    override default name of INI file

-e <address>
    the email id by which you are known to distributed.net

-nodisk
    don't use disk buffer files

-n <count>
    packets to complete. -1 forces exit when buffer is empty.

-runbuffers
    set -n == -1 (exit when buffers are empty)

-frequent
    frequently check if buffers need topping-up

-inbase <fname>
    input buffer basename (ie without 'extension'/suffix)

-outbase <fname>
    output buffer basename (ie without 'extension'/suffix)

-ckpoint <fname>
    set the name of the checkpoint file

-bin <prj> <n>
    set fetch buffer threshold to <n> work units

-btime [prj <n>]
    set fetch time threshold to <n> hours

    If not specified, project name <prj> defaults to RC5

  Network update related options:

-runoffline
    disable network access

-runonline
    enable network access

-nettimeout <secs>
    set the network timeout. Use -1 to force blocking mode

-a <address>
    keyserver name or IP address

-p <port>
    keyserver port number

-nofallback
    don't fallback to a distributed.net keyserver

-u <method>
    use this UUE/HTTP encoding method (see -config)

-ha <address>
    http/socks proxy name or IP address

-hp <port>
    http/socks proxy port

-lurk
    automatically detect modem connections

-lurkonly
    perform buffer updates only when a connection is detected

-interfaces <list>
    limit the interfaces to monitor for online/offline status

  Performance related options:

-c [prj <n>]
    core number (run -config for a list of valid core numbers)

    project name 'prj' defaults to RC5

-numcpu <n>
    run <n> threads/run on <n> cpus. 0 forces single-threading.

-devicenum <n>
    run on device <n> only.

-priority <0-9>
    scheduling priority from 0 (lowest/idle) to 9 (normal/user)

  Logging options:

-l <filename>
    name of the log file

-smtplen <len>
    max size (in bytes) of a mail message (0 means no mail)

-smtpsrvr <host>
    name or IP address of mail (SMTP) server

-smtpport <port>
    mail (SMTP) server port number

-smtpfrom <id>
    who the client should say is sending the message

-smtpdest <id>
    who the client should send mail to

  Miscellaneous runtime options:

-h <hours[:min]>
    time limit in hours

-until <HH:MM>
    quit at HH:MM (eg 07:30)

-noexitfilecheck
    override .ini exit flagfile setting

-pausefile <fn>
    name of file that causes the client to pause

-exitfile <fn>
    name of file that causes the client to exit

-multiok[=|:][0|1]
    allow/disallow multiple instances of the client to run

    The default is 'allow' for all platforms but Windows.

-percentoff
    don't display work completion as a running percentage

-quiet/-hide
    suppress screen output (== detach for some clients)

-noquiet
    don't suppress screen output (override ini quiet setting)

BUGS
distributed.net maintains a database to assist with the tracking and resolution of bugs in dnetc and related software.

If you believe you have found a bug, please submit it to the distributed.net bug tracking database at http://bugs.distributed.net/

Please provide the entire version descriptor as displayed on client start when doing so. For example, the client version this manpage was generated for was "dnetc v2.9112-521-CTR-16021318 for Linux".

ENVIRONMENT

dnetc_opt (or the upper-case version thereof)

Additional source of command line options (parsed first)

FILES

/etc/distributed-net.conf

Additional sources of command line options (parsed last)

SEE ALSO

Client documentation: dnetc.txt and http://faq.distributed.net/

AUTHOR
distributed.net http://www.distributed.net/